ComRaidComRaid Docs
API referenceContacts

Create contact

POST
/contacts

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Project API key (cr_sk_...)

Request Body

application/json
  1. body
external_user_id*string
name?string
locale?string

Contact Property locale

timezone?string

Contact Property timezone (IANA)

language?string

Contact Property language

country?string

Contact Property country

metadata?
attributes?

Customer-supplied Attributes (not SDK Properties); keys auto-register as project attribute definitions

Response Body

Created

application/json
  1. response
contact_id?string
Formatuuid
external_user_id?string
updated_attributes?array<string>

Present when attributes were included in the request

Example Request
curl -X POST 'https://api.comraid.io/contacts' \  -H 'Content-Type: application/json' \  -d '{  "external_user_id": "string"}'
Example Response
{  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "external_user_id": "string",  "updated_attributes": [    "string"  ]}